Bug 1477453 - DNF Error: No packages marked for removal, although package exists and is installed
DNF Error: No packages marked for removal, although package exists and is ins...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
25
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: rpm-software-management
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-02 02:51 EDT by spital
Modified: 2017-08-02 02:55 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-02 02:55:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description spital 2017-08-02 02:51:14 EDT
Description of problem:
DNF Error: No packages marked for removal, although package exists

Version-Release number of selected component (if applicable):
# dnf --version
1.1.10
  Installed: dnf-0:1.1.10-6.fc25.noarch at 2017-03-19 21:21
  Built    : Fedora Project at 2017-03-15 08:52

  Installed: rpm-0:4.13.0.1-1.fc25.x86_64 at 2017-03-06 08:25
  Built    : Fedora Project at 2017-02-24 12:48

How reproducible:
# uname -r
4.10.8-200.fc25.x86_64

# rpm -qa | grep kernel.*4.11 
kernel-core-4.11.0-0.rc5.git0.1.fc26.x86_64
kernel-headers-4.11.3-200.fc25.x86_64

# dnf remove kernel-core-4.11.0-0.rc5.git0.1.fc26.x86_64


Actual results:
No match for argument: kernel-core-4.11.0-0.rc5.git0.1.fc26.x86_64
Error: No packages marked for removal.


Expected results:
kernel-core is removed
Comment 1 Igor Gnatenko 2017-08-02 02:55:50 EDT
This bug has been fixed in Fedora 26 and above. F25's dnf is getting only security updates, so please upgrade.

[brain@ignatenko-w541 dnf]$ rpm -q kernel-core | head -n1kernel-core-4.13.0-0.rc1.git3.1.fc27.x86_64
[brain@ignatenko-w541 dnf]$ sudo dnf --assumeno remove kernel-core-4.13.0-0.rc1.git3.1.fc27.x86_64
Dependencies resolved.
===============================================================================
 Package                Arch     Version                      Repository  Size
===============================================================================
Removing:
 kernel                 x86_64   4.13.0-0.rc1.git3.1.fc27     @rawhide     0  
 kernel-core            x86_64   4.13.0-0.rc1.git3.1.fc27     @rawhide    57 M
 kernel-modules         x86_64   4.13.0-0.rc1.git3.1.fc27     @rawhide    24 M
 kernel-modules-extra   x86_64   4.13.0-0.rc1.git3.1.fc27     @rawhide   2.1 M

Transaction Summary
===============================================================================
Remove  4 Packages

Freed space: 84 M
Operation aborted.

Note You need to log in before you can comment on or make changes to this bug.